## distorm3 3.0

=== debian/changelog ===
distorm3 (3.0-2) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.6.
  * debian/control: added dh-python as build dependency.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 26 Oct 2014 19:27:10 -0200

distorm3 (3.0-1) unstable; urgency=low

  * Initial release (Closes: #759767)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 30 Aug 2014 00:45:31 -0300
