=== debian/control ===
Source: distorm3
Section: libs
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper (>= 9), python, dh-python
Standards-Version: 3.9.6
Homepage: http://code.google.com/p/distorm
Vcs-Git: git://anonscm.debian.org/collab-maint/distorm3.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/distorm3.git
X-Python-Version: 2.6, 2.7

Package: libdistorm3-3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: powerful disassembler library for x86/AMD64 binary streams
 diStorm3 is a binary stream disassembler library project.
 .
 With diStorm3, no more parsing strings is needed. diStorm3 is really a
 decomposer, which means it takes an instruction and returns a binary
 structure which describes it rather than static text. This is great for
 advanced binary code analysis.
 .
 This package provides the shared library.

Package: libdistorm3-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libdistorm3-3 (= ${binary:Version})
Description: powerful disassembler library for x86/AMD64 binary streams (development files)
 diStorm3 is a binary stream disassembler library project.
 .
 With diStorm3, no more parsing strings is needed. diStorm3 is really a
 decomposer, which means it takes an instruction and returns a binary
 structure which describes it rather than static text. This is great for
 advanced binary code analysis.
 .
 This package provides the development files.

Package: python-distorm3
Architecture: all
Section: python
Depends: ${misc:Depends}, libdistorm3-3 (>= ${source:Version})
Description: powerful disassembler library for x86/AMD64 binary streams (Python bindings)
 diStorm3 is a binary stream disassembler library project.
 .
 With diStorm3, no more parsing strings is needed. diStorm3 is really a
 decomposer, which means it takes an instruction and returns a binary
 structure which describes it rather than static text. This is great for
 advanced binary code analysis.
 .
 This package provides the Python bindings.
