=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE=1

# The lib SONAME version:
LIBSVERSION=3
# The lib real version:
LIBRVERSION=3.0

DESTDIR=$(CURDIR)/debian/libdistorm3-3
TEMPDEB=$(CURDIR)/debian/tmp

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed,-soname,libdistorm3.so.$(LIBSVERSION) -Wl,-z,now

%:
	dh $@ --parallel --with python2

override_dh_install:
	dh_install
	cp $(TEMPDEB)/usr/lib/python2.7/dist-packages/distorm3/libdistorm3.so $(DESTDIR)/usr/lib/libdistorm3.so.$(LIBRVERSION)
