=== debian/watch ===
version=3
opts=dversionmangle=s/\.0$// \
http://code.google.com/p/distorm/downloads/list .*distorm3-(\d\S*)-sdist\.(?:zip|tar\.(?:bz2|gz|xz)).*
