## distorm3 3.3.0

=== debian/changelog ===
distorm3 (3.3.0-3) unstable; urgency=medium

  * New upstream homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 12 Sep 2015 23:19:22 -0300

distorm3 (3.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 05 May 2015 13:35:29 -0300

distorm3 (3.3.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright:
      - Added the 'Files: python/distorm3/*' block.
      - Updated the packaging and upstream copyright years.
  * debian/libdistorm3-3.links: updated to point to 3.3.0 version.
  * debian/libdistorm3-dev.links: updated to point to 3.3.0 version.
  * debian/libdistorm3-3.symbols: updated the symbols.
  * debian/pydist-overrides: added to override the dh_python2 error
      while trying read the non-existent file requires.txt.
  * debian/rules: updated the lib real version.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 24 Feb 2015 09:41:54 -0300

distorm3 (3.0-3) experimental; urgency=medium

  * debian/watch: added a new site to search (PyPI).

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 05 Jan 2015 01:46:45 -0200
