=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper (>= 9), python, dh-python
 Standards-Version: 3.9.6
-Homepage: http://code.google.com/p/distorm
+Homepage: https://github.com/gdabah/distorm
 Vcs-Git: git://anonscm.debian.org/collab-maint/distorm3.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/distorm3.git
 X-Python-Version: 2.6, 2.7
