=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # The lib SONAME version:
 LIBSVERSION=3
 # The lib real version:
-LIBRVERSION=3.0
+LIBRVERSION=3.3.0
 
 DESTDIR=$(CURDIR)/debian/libdistorm3-3
 TEMPDEB=$(CURDIR)/debian/tmp
