=== debian/watch ===
version=3
https://pypi.python.org/pypi/distorm3 .*/packages/source/d/distorm3/distorm3-(\d\S+)\.(?:zip|tar\.(?:bz2|gz|xz)).*
https://github.com/gdabah/distorm/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)
