## distorm3 3.3.4

=== debian/changelog ===
distorm3 (3.3.4-2) unstable; urgency=medium

  * Bumped DH level to 10.
  * debian/patches/: added 20_reproducible_build.patch to make the build
    reproducible. Thanks to Reiner Herrmann <reiner@reiner-h.de>.
    (Closes: #843245)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 05 Nov 2016 17:15:48 -0200

distorm3 (3.3.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bumped Standards-Version to 3.9.8.
  * debian/copyright:
      - Changed the licensing for upstream and packaging. The upstream is using
        BSD-4-Clause now. The packaging will use BSD-3-Clause.
      - Added rights for src/decoder.h file, under GPL-3+.
      - Removed the redundant block about python/distorm3/*.
      - Updated the upstream copyright years.
  * debian/patches/10_fix_init_python.patch: updated to be compliant with new
      upstream source code.
  * debian/libdistorm3-dev.links: updated to link against to 3.3.4 upstream
      version.
  * debian/libdistorm3-3.links: updated to link against to 3.3.4 upstream
      version.
  * debian/rules: bumped the lib real version to 3.3.4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 03 Jul 2016 17:07:54 -0300

distorm3 (3.3.0-4) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 3.9.7.
      - Changed from cgit to git in Vcs-Browser field.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright: updated the packaging copyright years.
  * debian/libdistorm3-dev.install: moved include/ dir from /usr/lib to
      /usr. Thanks to Christopher Wellons <wellons@nullprogram.com>.
      (Closes: #818192)
  * debian/libdistorm3-3.README.Debian: updated.
  * debian/patches/fix_init_python: renamed to 10_fix_init_python.patch.
  * debian/rules:
      - Added the suffix -arch to override_dh_install target name to avoid
        a FTBFS when building architecture-independent packages only. Thanks
        to Santiago Vila <sanvila@debian.org>. (Closes: #806016)
      - Changed the variables names from LIBRVERSION to LIB_R_VERSION and
        LIBSVERSION to LIB_S_VERSION to make an easy visualization.
      - Removed the --parallel option from dh.
  * debian/watch:
      - Bumped to version 4.
      - Removed the extra source to avoid conflicts with uscan.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 17 Mar 2016 23:46:14 -0300
