=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 9), python, dh-python
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10), python, dh-python
+Standards-Version: 3.9.8
 Homepage: https://github.com/gdabah/distorm
-Vcs-Git: git://anonscm.debian.org/collab-maint/distorm3.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/distorm3.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/distorm3.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/distorm3.git
 X-Python-Version: 2.6, 2.7
 
 Package: libdistorm3-3
