=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# The lib SONAME version:
LIB_S_VERSION=3
# The lib real version:
LIB_R_VERSION=3.3.4

DESTDIR=$(CURDIR)/debian/libdistorm3-3
TEMPDEB=$(CURDIR)/debian/tmp

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed,-soname,libdistorm3.so.$(LIB_S_VERSION) -Wl,-z,now

%:
	dh $@ --with python2

override_dh_install-arch:
	dh_install
	cp $(TEMPDEB)/usr/lib/python2.7/dist-packages/distorm3/libdistorm3.so \
           $(DESTDIR)/usr/lib/libdistorm3.so.$(LIB_R_VERSION)
