=== debian/watch ===
version=4
https://github.com/gdabah/distorm/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)
