=== debian/changelog ===
distorm3 (3.3.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 20 Nov 2018 18:06:23 -0200

distorm3 (3.3.8-1) experimental; urgency=medium

  * New upstream version 3.3.8.
  * debian/copyright:
      - Now, the upstream is using BSD-3-Clause, instead of BSD-4-Clause.
      - Migrated packaging license to BSD-3-Clause.
      - Updated upstream copyright years.
  * debian/libdistorm3-3.links: updated lib version from 3.3.4 to 3.3.8.
  * debian/libdistorm3-3.symbols: added a Build-Depends-Package field.
  * debian/libdistorm3-dev.examples: added to install the new examples.
  * debian/libdistorm3-dev.links: updated lib version from 3.3.4 to 3.3.8.
  * debian/patches/20_reproducible_build.patch: removed. The upstream fixed the
    source code. Thanks!
  * debian/python-distorm3.install: removed no longer existent Python specific
    examples.
  * debian/rules: updated lib version from 3.3.4 to 3.3.8.
  * debian/tests/:
      - Added a new test (test.cpp).
      - Removed an unneeded line Depends from control file.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 19 Nov 2018 16:36:16 -0200

distorm3 (3.3.4-3) unstable; urgency=medium

  * Migrated DH level to 11.
  * debian/control:
      - Added python as dependency for python-distorm3. Thanks
        to Adrian Bunk <bunk@debian.org> (Closes: #906018)
      - Bumped Standards-Version to 4.2.1.
      - Changed Vcs-* URLs to salsa.debian.org.
      -  Removed ancient X-Python-Version field.
  * debian/copyright:
      - Updated packaging copyright years.
      - Using a secure copyright format in URI.
  * debian/tests/*: added to perform tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 28 Aug 2018 19:31:14 -0300
