=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # The lib SONAME version:
 LIB_S_VERSION=3
 # The lib real version:
-LIB_R_VERSION=3.3.4
+LIB_R_VERSION=3.3.8
 
 DESTDIR=$(CURDIR)/debian/libdistorm3-3
 TEMPDEB=$(CURDIR)/debian/tmp
