=== debian/changelog ===
distorm3 (3.4.1-4) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (See #951161)
  * Remove Python2 support. Consequently:
      - debian/control:
          ~ Removed binary python-distorm3.
          ~ Removed python and python-setuptools from Build-Depends field.
      - debian/rules:
          ~ Changed from python2.7 to python3 in override_dh_install-arch
            target.
          ~ Removed addon python2.
      - Closes: #943043
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Using '${python3:Depends}' instead of 'python' in Depends field for
        python3-distorm3. Change from Ubuntu.
  * debian/copyright: updated packaging copyright years.
  * debian/not-installed:
      - Listed usr/lib/python3/dist-packages/distorm3/libdistorm3.so as
        not installed. This file is being installed by debian/rules and
        debian/libdistorm3-dev.links.
  * debian/python-distorm3.install: removed.
  * debian/python3-distorm3.install: added a line to install *.pyc files.
  * debian/rules: removed unneeded flags from DEB_LDFLAGS_MAINT_APPEND:
      - -soname,libdistorm3.so.$(LIB_S_VERSION): the upstream is providing a
        variable SONAME.
      - -Wl,--as-needed: the upstream fixed the source code.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/test.py: using Python3 now.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 10 Feb 2020 22:06:28 -0300

distorm3 (3.4.1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 08 Jan 2019 18:03:08 -0200

distorm3 (3.4.1-2) experimental; urgency=medium

  * Created python3-distorm3 binary package. Consequently:
      - debian/control:
          ~ Added python3 and python3-setuptools to Build-Depends field.
          ~ Added a new section (python3-distorm3).
      - debian/python-distorm3.install: changed all python* calls to python2*
        to avoid conflicts or wrong installs.
      - debian/python3-distorm3.install: added to install the python3 bindings.
      - debian/rules: added addon python3 to dh line.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 04 Jan 2019 16:59:06 -0200

distorm3 (3.4.1-1) unstable; urgency=medium

  * New upstream version 3.4.1.
  * debian/clean: added to remove some files created by upstream build system.
  * debian/compat: removed because this file was deprecated by debhelper-compat
    build dependency in debian/control.
  * debian/control:
      - Added python-setuptools to Build-Depends field.
      - Bumped Standards-Version to 4.3.0.
      - Changed debhelper by debhelper-compat in Build-Depends field and set
        level to 12.
  * debian/copyright: updated packaging copyright years.
  * debian/libdistorm3-3.links: updated to point to 3.4.1 version.
  * debian/libdistorm3-dev.links: updated to point to 3.4.1 version.
  * debian/rules:
      - Added buildsystem=pybuild addon to dh line to use the third-party
        "pybuild" build system instead of python-distutils because this
        feature was removed in DH compat 12.
      - Changed lib real name version to 3.4.1.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 04 Jan 2019 16:52:15 -0200
