=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: distorm3
 Section: libs
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 10), python, dh-python
-Standards-Version: 3.9.8
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 12),
+               dh-python,
+               python3,
+               python3-setuptools
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/gdabah/distorm
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/distorm3.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/distorm3.git
-X-Python-Version: 2.6, 2.7
+Vcs-Browser: https://salsa.debian.org/debian/distorm3
+Vcs-Git: https://salsa.debian.org/debian/distorm3.git
 
 Package: libdistorm3-3
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: powerful disassembler library for x86/AMD64 binary streams
  diStorm3 is a binary stream disassembler library project.
  .
@@ -36,11 +39,11 @@
  .
  This package provides the development files.
 
-Package: python-distorm3
+Package: python3-distorm3
 Architecture: all
 Section: python
-Depends: ${misc:Depends}, libdistorm3-3 (>= ${source:Version})
-Description: powerful disassembler library for x86/AMD64 binary streams (Python bindings)
+Depends: ${misc:Depends}, libdistorm3-3 (>= ${source:Version}), ${python3:Depends}
+Description: powerful disassembler library for x86/AMD64 binary streams (Python3 bindings)
  diStorm3 is a binary stream disassembler library project.
  .
  With diStorm3, no more parsing strings is needed. diStorm3 is really a
@@ -48,4 +51,4 @@
  structure which describes it rather than static text. This is great for
  advanced binary code analysis.
  .
- This package provides the Python bindings.
+ This package provides the Python3 bindings.
