=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# The lib real version:
LIB_R_VERSION=3.4.1

DESTDIR=$(CURDIR)/debian/libdistorm3-3
TEMPDEB=$(CURDIR)/debian/tmp
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,now

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install-arch:
	dh_install
	cp $(TEMPDEB)/usr/lib/python3/dist-packages/distorm3/libdistorm3.so \
           $(DESTDIR)/usr/lib/libdistorm3.so.$(LIB_R_VERSION)
