=== debian/tests/control ===
Tests: test.py

Test-Command: g++ debian/tests/test.cpp -o test; ./test
Depends: @, g++
