=== debian/changelog ===
distorm3 (3.5.2b-3) unstable; urgency=medium

  * QA upload.
  * debian/rules: changed the target override_dh_link to override_dh_link-arch
    to avoid a creation of a SONAME symlink also in python3-distorm3. This
    action will try to solve #1042409.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 27 Jul 2023 21:16:58 -0300

distorm3 (3.5.2b-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 27 Jul 2023 16:58:02 -0300

distorm3 (3.5.2b-1) experimental; urgency=medium

  * QA upload.
  * New upstream version 3.5.2b.
  * debian/control: added libpython3-dev to Build-Depends.
  * debian/copyright:
      - Removed extra upstream sections because all source code is now
        copyrighted by Gil Dabah, under BSD-3-Clause.
      - Updated upstream copyright years.
  * debian/libdistorm3-3.dirs: no longer needed. Removed.
  * debian/libdistorm3-3.symbols:
      - Fixed initial version from 3 to 3.0.0.
      - Updated symbols.
  * debian/not-installed: updated to ignore the "wrong" library name. The right
    name is being created by debian/rules.
  * debian/patches/10_fix_init_python.patch: no longer needed. Removed.
  * debian/python3-distorm3.install: updated to make it compliant with the new
    upstream release.
  * debian/rules:
      - Set a SONAME, not provided by the upstream.
      - Updated the target override_dh_install-arch to create a real name
        symlink against to the .so file provided by the upstream.
  * debian/tests/: dropped a useless test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 26 Jul 2023 10:38:01 -0300

distorm3 (3.4.1-6) experimental; urgency=medium

  * QA upload.
  * Moved the lib to multiarch target. Consequently:
      - debian/libdistorm3-3.dirs: updated to create the right path.
      - debian/libdistorm3-dev.links: added the right path.
      - debian/patches/10_fix_init_python.patch: updated to insert a XXX
        sequence, to be replaced via debian/rules.
      - debian/rules:
          - Added the target override_dh_install-indep to change the XXX
            by the right multiarch lib file.
          - Changed the targets override_dh_install-arch and  override_dh_link
            to use the multiarch target.
  * debian/control:
      - Added an indication of runtime to a short description.
      - Bumped Standards-Version to 4.6.2.
      - Migrated DH level to 13.
      - Using 'Multi-Arch: same' for the runtime binary.
  * debian/copyright:
      - Added packaging rights for Jelmer Vernooĳ.
      - Added Upstream-Contact field.
      - Converted the last paragraph of the GPL-3 in a comment.
      - Updated packaging copyright years.
  * debian/libdistorm3-dev.links: fixed symlink to point to SONAME file,
    instead of real name file.
  * debian/libdistorm3-3.links: removed in favor of the target override_dh_link
    in debian/rules.
  * debian/patches/10_fix_init_python.patch: added Forwarded field.
  * debian/rules: using the variable ${DEB_VERSION_UPSTREAM} to create a
    correct and updated symlink for the real name from the SONAME.
  * debian/tests/control: set all tests as superficial.
  * debian/upstream/metadata: added the field Documentation.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 25 Jul 2023 22:12:23 -0300

distorm3 (3.4.1-5) unstable; urgency=low

  * QA upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + libdistorm3-dev: Add Multi-Arch: same.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 02 Feb 2021 18:12:15 +0000
