=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: libs
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               libpython3-dev,
                python3,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/gdabah/distorm
 Vcs-Browser: https://salsa.debian.org/debian/distorm3
@@ -14,8 +15,9 @@
 
 Package: libdistorm3-3
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: powerful disassembler library for x86/AMD64 binary streams
+Description: powerful disassembler library for x86/AMD64 binary streams (runtime)
  diStorm3 is a binary stream disassembler library project.
  .
  With diStorm3, no more parsing strings is needed. diStorm3 is really a
@@ -27,6 +29,7 @@
 
 Package: libdistorm3-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends}, libdistorm3-3 (= ${binary:Version})
 Description: powerful disassembler library for x86/AMD64 binary streams (development files)
