## distorm3 3.5.2b+ds

=== debian/changelog ===
distorm3 (3.5.2b+ds-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 3.5.2b+ds.
  * debian/copyright: added a Files-Excluded field to list files that caused
    the +ds suffix.
  * debian/watch: added Dversionmangle line to handle +ds suffix.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 11 Feb 2026 12:17:42 -0300

distorm3 (3.5.2b-4) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright: updated packaging copyright years.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 10 Feb 2026 13:02:02 -0300
