=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: distorm3
 Section: libs
-Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                libpython3-dev,
                python3,
                python3-setuptools
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/gdabah/distorm
 Vcs-Browser: https://salsa.debian.org/debian/distorm3
 Vcs-Git: https://salsa.debian.org/debian/distorm3.git
