=== debian/watch ===
Version: 5

Template: Github
Owner: gdabah
Project: distorm
Dversionmangle: s/\+ds$//
